## Apache Zeta Components Manual :: Docs For Class ezcTreeDbDataStore

### TreeDatabaseTiein::ezcTreeDbDataStore

### Interface ezcTreeDbDataStore

ezcTreeDbDataStore is an interface defining methods for database based data stores.

Source for this file: /TreeDatabaseTiein/src/stores/db.php

    ezcTreeDataStore
       |
       --ezcTreeDbDataStore

Version: | //autogentag//

### Inherited Methods

From ezcTreeDataStore
public void | `ezcTreeDataStore::deleteDataForAllNodes()` Deletes the data for all the nodes in the store.
public void | `ezcTreeDataStore::deleteDataForNodes()` Deletes the data for all the nodes in the node list $nodeList.
public void | `ezcTreeDataStore::fetchDataForNode()` Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.
public void | `ezcTreeDataStore::fetchDataForNodes()` Retrieves the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.
public void | `ezcTreeDataStore::storeDataForNode()` Stores the data in the node to the data store.

Documentation generated by phpDocumentor 1.4.3